Name: liblcms
Version: 1.09
Release: alt1
%define srcname lcms-%version

Summary: Little cms color engine
License: LGPL
Group: System/Libraries
Url: http://www.littlecms.com

Source: %url/%srcname.tar.bz2
Patch: %name-1.09-alt-build.patch

Provides: lcms = %version
Obsoletes: lcms

Prefix: %prefix

# Automatically added by buildreq on Thu Feb 21 2002
BuildRequires: libjpeg-devel libtiff-devel zlib-devel

%package devel
Summary: LCMS development environment
Group: Development/C
Requires: %name = %version-%release
Provides: lcms-devel = %version
Obsoletes: lcms-devel

%package devel-static
Summary: Static LCMS library
Group: Development/C
Requires: %name-devel = %version-%release

%description
This is a CMM engine to deal with color management stuff.

This package contains the library needed to run programs dynamically
linked with %name.

%description devel
This is a CMM engine to deal with color management stuff.

This package is only needed if you plan to develop or compile
applications which requires the LCMS library.

%description devel-static
This is a CMM engine to deal with color management stuff.

This package is only needed if you plan to develop or compile
statically linked applications which requires the LCMS library.

%prep
%setup -q -n %srcname
%patch -p1
%__rm -f makefile

%build
%add_optflags -momit-leaf-frame-pointer

# SMP-incompatible
%make

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
install -p -m644 AUTHORS NEWS README $RPM_BUILD_ROOT%_docdir/%name-%version
cp -a testbed samples doc $RPM_BUILD_ROOT%_docdir/%name-%version
make -C $RPM_BUILD_ROOT%_docdir/%name-%version/testbed clean

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*
%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/[A-Z]*

%files devel
%_libdir/*.so
%_includedir/*
%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/[a-z]*

%files devel-static
%_libdir/*.a

%changelog
* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.09-alt1
- 1.09
- build with gcc3

* Thu Feb 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.08-alt1
- 1.08

* Mon Sep 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.07-alt1
- 1.07
- Moved static library to devel-static subpackage.

* Tue Feb 06 2001 Dmitry V. Levin <ldv@fandra.org> 1.06-ipl2mdk
- RE adaptions.

* Sun Jan 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.06-2mdk
- reverted %%make to make.

* Tue Dec 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.06-1mdk
- initial release.
